qt_internal_add_test(tst_protobuf_json_serialization_enumtypes
    SOURCES
        serializationenumtypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)
_qt_internal_link_protobuf_objects(tst_protobuf_json_serialization_enumtypes
    tst_protobuf_enumtypes_gen
)

qt_internal_add_test(tst_protobuf_json_deserialization_enumtypes
    SOURCES
        deserializationenumtypes.cpp
    LIBRARIES
        Qt::Test
        Qt::Protobuf
)
_qt_internal_link_protobuf_objects(tst_protobuf_json_deserialization_enumtypes
    tst_protobuf_enumtypes_gen
)
